Subject: [bug#66953] Working towards rust-rbw update

From: VÖRÖSKŐI András <[email-masked]>
Date: Sun, 5 Nov 2023 17:25:32 +0100

Hi,

I have a couple of questions regarding this one:

1. I did not dare to update rust-libc because `guix refresh` shows a lot of reverse
dependencies and I have no idea what is the common way of mass rebuilding those.
2. Because of this I had to edit rust-cpufeatures Cargo.toml to use the already
package rust-libc.
3. Doing so means we have to use `substitute*` every time we use the vendored
rust-cpufeatures. I am not sure if this is acceptable or not.

As far as I can tell rust libraries tend to pin patchver in Cargo.toml, but packaging
every patchver seems to be unsustainable to me. But this way the only option is
rewriting the Cargo.toml files everywhere, isn't it?

Thanks,

PS: I had to disable teams.scm becuase it fails with there patches.